%global pypi_name redis
%global commitId e6cd4fdf3b159d7f118f154e28e884069da89d7e

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        4.3.4
Release:        1%{?dist}
Summary:        Python client for Redis key-value store

License:        MIT
URL:            https://github.com/redis/redis-py
Source0:        python-redis-e6cd4fdf3b159d7f118f154e28e884069da89d7e.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
The Python interface to the Redis key-value store.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Python client for Redis key-value store

Requires:       python%{python3_pkgversion}-async-timeout >= 4.0.2
Requires:       python%{python3_pkgversion}-deprecated >= 1.2.3
Requires:       python%{python3_pkgversion}-packaging >= 20.4

%description -n python%{python3_pkgversion}-%{pypi_name}
The Python interface to the Redis key-value store.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 4.3.4-1
- Initial release
